> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get price lines for display



## OpenAPI

````yaml /openapi.json get /pricing/{policyId}/price
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /pricing/{policyId}/price:
    get:
      tags:
        - pricing
      summary: Get price lines for display
      operationId: PricingController_getPrice
      parameters:
        - name: policyId
          required: true
          in: path
          description: Policy ID
          schema:
            type: string
        - name: branchId
          required: false
          in: query
          description: Branch ID (optional, defaults to latest)
          schema:
            type: string
        - name: whenAt
          required: false
          in: query
          description: Filter assets active at this date (ISO-8601)
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPriceOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PolicyNotFoundErrorDto'
              examples:
                POLICY_NOT_FOUND:
                  $ref: '#/components/schemas/PolicyNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetPriceOutput:
      type: object
      properties:
        frequency:
          type: string
          description: Billing frequency from policy config
          enum:
            - YEARLY
            - HALF_YEARLY
            - QUARTERLY
            - MONTHLY
            - BIENNIAL
            - WEEKLY
        total:
          description: Full contract amounts (face value)
          allOf:
            - $ref: '#/components/schemas/BreakdownAmounts'
        recurring:
          description: Recurring amounts divided by frequency
          allOf:
            - $ref: '#/components/schemas/BreakdownAmounts'
        oneTime:
          description: One-time amounts at face value
          allOf:
            - $ref: '#/components/schemas/BreakdownAmounts'
        lines:
          description: >-
            Configurable display lines computed from product
            priceBreakdownConfig
          type: array
          items:
            $ref: '#/components/schemas/PriceBreakdownLineOutputDto'
        totalLine:
          description: Configurable total display line
          allOf:
            - $ref: '#/components/schemas/PriceBreakdownTotalOutputDto'
        firstInvoiceTotal:
          description: First invoice total display line
          allOf:
            - $ref: '#/components/schemas/PriceBreakdownTotalOutputDto'
        renewalTotal:
          description: Renewal total display line
          allOf:
            - $ref: '#/components/schemas/PriceBreakdownTotalOutputDto'
      required:
        - frequency
        - total
        - recurring
        - oneTime
    PolicyNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - POLICY_NOT_FOUND
        message:
          type: string
          example: Policy {policyId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/PolicyNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    BreakdownAmounts:
      type: object
      properties:
        premiumPreFeesAndTaxes:
          type: integer
          description: Premium before fees and taxes
        fees:
          type: integer
          description: Fees
        withFeesPreTaxes:
          type: integer
          description: Premium + fees before taxes
        taxes:
          type: integer
          description: Taxes
        withFeesAndTaxes:
          type: integer
          description: Premium + fees + taxes
      required:
        - premiumPreFeesAndTaxes
        - fees
        - withFeesPreTaxes
        - taxes
        - withFeesAndTaxes
    PriceBreakdownLineOutputDto:
      type: object
      properties:
        key:
          type: string
          description: Line key identifier
        amount:
          type: integer
          description: Computed amount in euro cents (face/annual value)
        adjustedAmount:
          type: integer
          description: >-
            Frequency-adjusted amount in euro cents (pro-rated per billing
            period)
        forTypes:
          description: Business role types this line is visible to
          type: array
          items:
            type: string
        type:
          type: string
          description: Display type
          enum:
            - price
            - percentage
        subLines:
          description: Nested sub-lines
          type: array
          items:
            $ref: '#/components/schemas/DisplayLineSubLineOutputDto'
      required:
        - key
        - amount
        - forTypes
    PriceBreakdownTotalOutputDto:
      type: object
      properties:
        key:
          type: string
          description: Total line key identifier
        amount:
          type: integer
          description: Computed total amount in euro cents (face/annual value)
        adjustedAmount:
          type: integer
          description: >-
            Frequency-adjusted total amount in euro cents (pro-rated per billing
            period)
      required:
        - key
        - amount
    PolicyNotFoundDetailsDto:
      type: object
      properties:
        policyId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - policyId
    DisplayLineSubLineOutputDto:
      type: object
      properties:
        key:
          type: string
          description: Line key identifier
        amount:
          type: integer
          description: Computed amount in euro cents (face/annual value)
        adjustedAmount:
          type: integer
          description: >-
            Frequency-adjusted amount in euro cents (pro-rated per billing
            period)
        forTypes:
          description: Business role types this line is visible to
          type: array
          items:
            type: string
        type:
          type: string
          description: Display type
          enum:
            - price
            - percentage
      required:
        - key
        - amount
        - forTypes

````